// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import '@/assets/font/font.css'; // 引入字体样式
import '@/assets/icon/iconfont.css'; // 引入矢量图标
import 'element-ui/lib/theme-chalk/index.css'
import '../theme/index.css'
import "@grapecity/spread-sheets-io";
import "@grapecity/spread-sheets/styles/gc.spread.sheets.excel2016colorful.css";
import "@grapecity/spread-sheets-vue";
import "@grapecity/spread-sheets-charts";
import "@grapecity/spread-sheets-print"; //打印
import GC from "@grapecity/spread-sheets";
import * as wjcCore from "wijmo/wijmo";
import FaverSaver from "file-saver";
import locale from 'element-ui/lib/locale/lang/en'

Vue.use(ElementUI, {
	locale,
	size: 'mini',
	zIndex: 3000
});
Vue.config.productionTip = false
/* eslint-disable no-new */
new Vue({
	el: '#app',
	router,
	store,
	components: {
		App
	},
	template: '<App/>'
})