import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
	state: {
		userIn: {
			userid: 'admin'
		},
		loadingDisable: false,
		department: '',
		editState: false,
		jurisdictionData: [],
		os: -1,
		isCollapse: true,
		navCheck: '',
		fullScreen: false,
		statusData: {
			uploadByCG: ['To Be Submitted', 'Submitted', 'Frozen'],
			tracking: ['Unfinish', 'Finished', 'Frozen']
		},
		navData: [{
			name: 'Master Data',
			title: 'Upload by Commodity Group',
			link: 'masterData'
		}],
		refreshView: 0,
	},
	getters: {
		userIn: state => state.userIn,
		loadingDisable: state => state.loadingDisable,
		department: state => state.department,
		editState: state => state.editState,
		jurisdictionData: state => state.jurisdictionData,
		os: state => state.os,
		navData: state => state.navData,
		isCollapse: state => state.isCollapse,
		navCheck: state => state.navCheck,
		fullScreen: state => state.fullScreen,
		refreshView: state => state.refreshView,
		statusData: state => state.status,
	},
	mutations: {
		comUserIn(state, val) {
			state.userIn = val
		},
		comLoadingDisable(state, val) {
			state.loadingDisable = val
		},
		comDepartment(state, val) {
			state.department = val
		},
		comEditState(state, val) {
			state.editState = val
		},
		comJurisdictionData(state, val) {
			state.jurisdictionData = val
		},
		comOs(state, val) {
			state.os = val
		},
		comIsCollapse(state, val) {
			state.isCollapse = val
		},
		comNavCheck(state, val) {
			state.navCheck = val
		},
		comFullScreen(state, val) {
			state.fullScreen = val
		},
		comRefreshView(state, val) {
			state.refreshView = val
		},
	},
	actions: {
		comUserInFun(context, val) {
			context.commit('comUserIn', val)
		},
		comLoadingDisableFun(context, val) {
			context.commit('comLoadingDisable', val)
		},
		comDepartmentFun(context, val) {
			context.commit('comDepartment', val)
		},
		comEditStateFun(context, val) {
			context.commit('comEditState', val)
		},
		comJurisdictionDataFun(context, val) {
			context.commit('comJurisdictionData', val)
		},
		comOsFun(context, val) {
			context.commit('comOs', val)
		},
		comIsCollapseFun(context, val) {
			context.commit('comIsCollapse', val)
		},
		comNavCheckFun(context, val) {
			context.commit('comNavCheck', val)
		},
		comFullScreenFun(context, val) {
			context.commit('comFullScreen', val)
		},
		comRefreshViewFun(context, val) {
			context.commit('comRefreshView', val)
		},
	}
})
export default store