import axios from 'axios'
import { MessageBox, Message, Loading } from 'element-ui'
import store from '@/store'
import router from '@/router/index'
import qs from 'querystring'
import AppConfig from '@/AppConfig'
import { judgeUrl } from '@/utils/judgeUrl'
const Global = {
	source: {
		token: null,
		cancel: null
	}
}
Cancelinterceptor
// create an axios instance
const service = axios.create({
	baseURL: AppConfig.baseURL, // url = base url + request url
	// withCredentials: true, // send cookies when cross-domain requests
	timeout: 1000 * 60 * 30, // request timeout
})
let axiosEdit = true;
export function Cancelinterceptor(val) {
	if(val == false) {
		axiosEdit = false;
	}
}
// request interceptor
service.interceptors.request.use(
	config => {
		config.url = '/tooling_server/' + config.url;
		if(config.method === 'get') {
			config.paramsSerializer = function(params) {
				return qs.stringify(params, )
			}
		}
		if(!config.noToken) {
			config.headers['defense'] = localStorage.getItem('tollingToken');
		}
		//判断请求头
		if(config.isfile) {
			config.headers['Content-Type'] = 'multipart/form-data'
		} else if(config.isJSON) {
			config.headers['Content-Type'] = 'application/json'
		} else {
			//			config.headers['Content-Type'] = 'application/x-www-form-urlencoded;charset=utf-8'
			config.transformRequest = [function(data) {
				return qs.stringify(data)
			}]
		}
		if(axiosEdit) {
			if(!config.url.includes('savelog')) {
				store.dispatch('comLoadingDisableFun', true)
			}
		}
		return config;
	},
	error => {
		// do something with request error
		console.log(error) // for debug
		if(axiosEdit) {
			store.dispatch('comLoadingDisableFun', false)
		}
		Message.warning('连接超时，请刷新!')
		return Promise.reject(error)
	}
)
service.all = axios.all
// 每次跳转之前判断历史请求是否结束，如果没有，统一取消
//router.beforeEach((to, from, next) => {
//	if(to.fllpath) {
//		Global.source.cancel && Global.source.cancel('历史请求被取消！')
//		Global.source = axios.CancelToken.source()
//		next()
//	} else next()
//})

//添加响应拦截器
service.interceptors.response.use(
	response => {
		const res = response
		if((!res.request.responseURL.includes('savelog')) && axiosEdit) {
			store.dispatch('comLoadingDisableFun', false);
		}
		if(!res.request.responseURL.includes('savelog')) {
			axiosEdit = true;
		}
		if(response.status == 401) login();
		if(response.status == 200 || response.status == 204) {
			return res;
		}
		if(res.data.code && res.data.code == 10102) login();
		Message({
			message: res.message || 'Error',
			type: 'error',
			duration: 5 * 1000
		})
		return res;
	},
	error => {
		if(axiosEdit) store.dispatch('comLoadingDisableFun', false)
		axiosEdit = true;
		console.log('err' + error) // for debug
		if(error.response.data.code && error.response.data.code === 401) {
			login();
		} else {
			Message({
				message: error.message,
				type: 'error',
				duration: 5 * 1000
			})
			return Promise.reject(error)
		}
	}
)

function login() { //重新登陆
};
export default service